%define _prefix /usr
%define _mandir %{_prefix}/share/man
%define _sysconfdir %{_prefix}/etc

Name: laldetchar
Version: 0.3.3
Release: 1%{?dist}
Summary: LSC Algorithm DetChar Library
License: GPL
Group: LAL
Source: %{name}-%{version}.tar.xz
URL: http://wiki.ligo.org/DASWG/LALSuite
Packager: Adam Mercer <adam.mercer@ligo.org>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel
BuildRequires: gsl-devel
BuildRequires: libmetaio-devel
BuildRequires: numpy
BuildRequires: octave-devel
BuildRequires: python-devel
BuildRequires: swig
BuildRequires: lal-devel >= 6.16.1
BuildRequires: lal-python >= 6.16.1
BuildRequires: lal-octave >= 6.16.1
BuildRequires: lalmetaio-devel >= 1.2.8
BuildRequires: lalmetaio-python >= 1.2.8
BuildRequires: lalmetaio-octave >= 1.2.8
BuildRequires: lalsimulation-devel >= 1.6.0
BuildRequires: lalsimulation-python >= 1.6.0
BuildRequires: lalsimulation-octave >= 1.6.0
BuildRequires: lalburst-devel >= 1.4.2
BuildRequires: lalburst-python >= 1.4.2
BuildRequires: lalburst-octave >= 1.4.2
Requires: glib2
Requires: gsl
Requires: libframe
Requires: libmetaio
Requires: lal >= 6.16.1
Requires: lalmetaio >= 1.2.8
Requires: lalsimulation >= 1.6.0
Requires: lalburst >= 1.4.2
Prefix: %{_prefix}

%description
The LSC Algorithm DetChar Library for gravitational wave data analysis. This
package contains the shared-object libraries needed to run applications
that use the LAL DetChar library.

%package devel
Summary: Files and documentation needed for compiling programs that use LAL DetChar
Group: LAL
Requires: %{name} = %{version}
Requires: glib2-devel
Requires: gsl-devel
Requires: libmetaio-devel
Requires: lal-devel >= 6.16.1
Requires: lalmetaio-devel >= 1.2.8
Requires: lalsimulation-devel >= 1.6.0
Requires: lalburst-devel >= 1.4.2
%description devel
The LSC Algorithm DetChar Library for gravitational wave data analysis. This
package contains files needed build applications that use the LAL DetChar
library.

%package python
Summary: Python Bindings for LALDetChar
Group: LAL
Requires: %{name} = %{version}
Requires: numpy
Requires: python
Requires: lal-python >= 6.16.1
Requires: lalmetaio-python >= 1.2.8
Requires: lalsimulation-python >= 1.6.0
Requires: lalburst-python >= 1.4.2
%description python
The LSC Algorithm Library for gravitational wave data analysis.
This package provides the Python bindings for LALDetChar.

%package octave
Summary: Octave Bindings for LALDetChar
Group: LAL
Requires: %{name} = %{version}
Requires: octave
Requires: lal-octave >= 6.16.1
Requires: lalmetaio-octave >= 1.2.8
Requires: lalsimulation-octave >= 1.6.0
Requires: lalburst-octave >= 1.4.2
%description octave
The LSC Algorithm Library for gravitational wave data analysis.
This package provides the Octave bindings for LALDetChar.

%prep
%setup -q

%build
%configure --disable-gcc-flags --enable-swig
%{__make} V=1

%check
%{__make} V=1 check

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post
ldconfig

%postun
ldconfig

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}

%files
%defattr(-,root,root)
%{_libdir}/*.so*
%{_sysconfdir}/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/lal

%files python
%defattr(-,root,root)
%{_bindir}/laldetchar-*
%{_libdir}/python*/site-packages/laldetchar/*.py
%{_libdir}/python*/site-packages/laldetchar/*.pyc
%{_libdir}/python*/site-packages/laldetchar/_laldetchar.so*
%{_libdir}/python*/site-packages/laldetchar/idq/*.py
%{_libdir}/python*/site-packages/laldetchar/idq/*.pyc
%{_libdir}/python*/site-packages/laldetchar/hveto/*.py
%{_libdir}/python*/site-packages/laldetchar/hveto/*.pyc
%{_libdir}/python*/site-packages/laldetchar/triggers/*.py
%{_libdir}/python*/site-packages/laldetchar/triggers/*.pyc
%exclude %{_libdir}/python*/site-packages/laldetchar/*.pyo
%exclude %{_libdir}/python*/site-packages/laldetchar/idq/*.pyo
%exclude %{_libdir}/python*/site-packages/laldetchar/hveto/*.pyo
%exclude %{_libdir}/python*/site-packages/laldetchar/triggers/*.pyo

%files octave
%defattr(-,root,root)
%{_prefix}/lib*/octave/*/site/oct/*/laldetchar.oct*

# dates should be formatted using: 'date +"%a %b %d %Y"'
%changelog
* Thu Jun 23 2016 Adam Mercer <adam.mercer@ligo.org> 0.3.3-1
- ER9 release

* Fri Mar 25 2016 Adam Mercer <adam.mercer@ligo.org> 0.3.2-1
- Pre O2 packaging test release
